# parsl.jobs.states.JobStatus

class parsl.jobs.states.JobStatus(state: JobState, message: str | None = None, exit_code: int | None = None, stdout_path: str | None = None, stderr_path: str | None = None)

  Encapsulates a job state together with other details:

  Parameters:

    - state – The machine-readable state of the job this status refers to

    - message – Optional human readable message

    - exit_code – Optional exit code

    - stdout_path – Optional path to a file containing the job’s stdout

    - stderr_path – Optional path to a file containing the job’s stderr

  __init__(state: JobState, message: str | None = None, exit_code: int | None = None, stdout_path: str | None = None, stderr_path: str | None = None)

  Methods

  `__init__`(state[, message, exit_code, ...]) |

  Attributes

  `SUMMARY_TRUNCATION_THRESHOLD` |
  `status_name` |
  `stderr` |
  `stderr_summary` |
  `stdout` |
  `stdout_summary` |
  `terminal` |

  SUMMARY_TRUNCATION_THRESHOLD = 2048
  property status_name: str
  property stderr: str | None
  property stderr_summary: str | None
  property stdout: str | None
  property stdout_summary: str | None
  property terminal: bool